API Keys
Delete an API key
Permanently deletes an API key. Cache entries in API_KEYS_KV are invalidated immediately so an in-flight token cannot ride out the TTL. The response body is empty on success.
DELETE
Core - Delete a key
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Permanently deletes an API key. Cache entries in API_KEYS_KV are invalidated immediately so an in-flight token cannot ride out the TTL. The response body is empty on success.
curl --request DELETE \
--url 'https://api.orq.ai/v2/api-keys/01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
await client.apiKeys.delete({
apiKeyId: '01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
client.api_keys.delete(
api_key_id="01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
{}Was this page helpful?
curl --request DELETE \
--url 'https://api.orq.ai/v2/api-keys/01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
await client.apiKeys.delete({
apiKeyId: '01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
client.api_keys.delete(
api_key_id="01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
{}